:root {
    --container-gutter: 20px;
    --gutter: 10px;
    --container-fluid: 100%;
    --font-family: "Manrope", sans-serif;
    --color-1: #000;
    --color-2: #1F1F1F;
    --color-3: #2D3193;
    --color-4: #5b60ec;
    --color-5: #c6000f;
    --container: 1200px;
}

/*------------------------------------*/
/* CHANG-DEFAULT */
/*------------------------------------*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    margin: 0;
    font-size: 16px;
    font-family: var(--font-family);
    background-color: white;
    color: #000;
    line-height: 1.4;
    font-weight: 400;
    padding: 0;
}

@media (max-width: 1280px) {
    body {
        padding: 0;
    }
}

hr {
    margin: 1rem 0;
    color: inherit;
    background-color: currentColor;
    border: 0;
    opacity: .25;
    height: 1px;
}

img {
    max-width: 100%;
    height: auto;
    transition: .4s;
}

a {
    text-decoration: none;
    color: #000;
    transition: .3s;
}

a:hover {
    color: var(--color-3);
}

input {
    border: 0;
}

input:focus,
select:focus,
textarea:focus {
    outline: none;
}

input,
select,
textarea {
    font-family: var(--font-family);
}

label {
    font-weight: 500;
    display: block;
    font-size: 14px;
    margin-bottom: 0.4em;
}

.circle {
    border-radius: 100%;
}

.img-zoom {
    overflow: hidden;
}

.img-zoom:hover img {
    transform: scale(1.05) !important;
}

.img-100 {
    position: relative;
    height: 0;
    overflow: hidden;
    display: block;
}

.img-100>img {
    object-fit: cover;
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    transition: .3s linear;
}

.img-100:hover img {
    transform: scale(1.05);
}

.wrap-img {
    display: block;
}

.stop-scroll {
    height: 100%;
    overflow: hidden;
}

.affix {
    position: fixed !important;
}

.img-surfing {
    position: relative;
    overflow: hidden;
}

.img-surfing::before {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    width: 120%;
    height: 100px;
    background: rgba(255, 255, 255, .3);
    z-index: 1;
    transform: scale3d(1.9, 1.4, 1) rotate3d(0, 0, 1, 45deg) translateY(-150%);
    pointer-events: none;
}

.img-surfing:hover:before {
    transform: scale3d(1.9, 1.4, 1) rotate3d(0, 0, 1, 45deg) translateY(200%);
    left: -100%;
    top: 100%;
    transition: all .6s linear;
}

.btn-animate-y {
    position: relative;
    display: block;
    overflow: hidden;
}

.btn-animate-y-1 {
    display: block;
    transition: all .37s var(--ease-out-short), opacity .37s linear;
}

.btn-animate-y-2 {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    transform: translate(0, 100%);
    transition: all .37s var(--ease-out-short), opacity .37s linear;
}

.tab-content {
    position: relative;
}

.tab-pane {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.tab-pane.active {
    opacity: 1;
    visibility: visible;
    position: relative;
}

ul,
ol {
    margin-bottom: 0;
}

/*------------------------------------*/
/* #CONTAINER */
/*------------------------------------*/
.ctnr {
    padding: 0 var(--container-gutter);
    margin: 0 auto;
    max-width: var(--container);
    width: 100%;
    position: relative;
}

.ctnr-fluid {
    padding: 0 10px;
    margin: 0 auto;
    width: 90%;
    max-width: var(--container-fluid);
}

/*------------------------------------*/
/* #FONT */
/*------------------------------------*/
h1,
h2,
h3,
h4,
h5,
h6,
.healine {
    margin: 0;
    line-height: 1.3;
    font-weight: 700;
    font-size: unset;
}

.tt-up {
    text-transform: uppercase;
}

.tt-cap {
    text-transform: capitalize;
}

.td-none {
    text-decoration: none;
}

.td-underline {
    text-decoration: underline;
}

.fw-400 {
    font-weight: 400;
}

.fw-500 {
    font-weight: 500;
}

.fw-600 {
    font-weight: 600;
}

.fw-700 {
    font-weight: 700;
}

/*------------------------------------*/
/* #BUTTON */
/*------------------------------------*/
.btn,
button {
    cursor: pointer;
    border: none;
    transition: all .3s ease;
    background: transparent;
    color: var(--color-1);
    font-family: inherit;
}

.btn-primary {
    color: var(--color-primary);
    background: var(--bg-second);
    border: 2px solid var(--bg-primary);

}

.btn-second {
    color: var(--color-second);
    background: transparent;
    border: 2px solid var(--bg-second);
}

/*------------------------------------*/
/* #HEIGHT */
/*------------------------------------*/
.h-100 {
    height: 100%;
}

.h-100v {
    height: 100vh;
}

.mah-100 {
    max-height: 100%;
}

.mah-100v {
    max-height: 100vh;
}

.h-500p {
    height: 500px;
}

.h-auto {
    height: auto;
}

/*------------------------------------*/
/* #WIDTH */
/*------------------------------------*/
.w-100 {
    width: 100%;
}

.w-100v {
    width: 100vw;
}

.w-auto {
    width: auto;
}

.maw-100 {
    max-width: 100%;
}

.miw-100 {
    min-width: 100%;
}

/*------------------------------------*/
/* #DISPLAY */
/*------------------------------------*/
.d-block {
    display: block;
}

.d-inline-block {
    display: inline-block;
}

.d-inline-flex {
    display: inline-flex;
}

.d-flex {
    display: flex;
}

.d-grid {
    display: grid;
}

/* .d-none {
	display: none;
} */

/*------------------------------------*/
/* #DISPLAY-FLEX */
/*------------------------------------*/
.flex-1 {
    flex: 1;
}

.fg-1 {
    flex-grow: 1;
}

.fs-0 {
    flex-shrink: 0;
}

.fw-wrap {
    flex-wrap: wrap;
}

.fw-nowrap {
    flex-wrap: nowrap;
}

.fd-row {
    flex-direction: row;
}

.fd-row-reverse {
    flex-direction: row-reverse;
}

.fd-column {
    flex-direction: column;
}

.fd-column-reverse {
    flex-direction: column-reverse;
}

.justify-space-between {
    justify-content: space-between;
}

.js-between {
    justify-content: space-between;
}

.js-around {
    justify-content: space-around;
}

.justify-content-center {
    justify-content: center;
}

.js-right {
    justify-content: right;
}

.js-end {
    justify-content: flex-end;
}


.js-left {
    justify-content: left;
}

.ai-flex-start {
    align-items: flex-start;
}

.ai-flex-end {
    align-items: flex-end;
}

.align-items-center {
    align-items: center;
}

.ai-end {
    align-items: end;
}

/*------------------------------------*/
/* #TEXT-COLOR */
/*------------------------------------*/
.text-white {
    color: #FFFFFF !important;
}

.text-primary {
    color: var(--color-3) !important;
}

.bg-primary {
    background-color: var(--color-3) !important;
}

.bg-light {
    background-color: #F8F9FA !important;
}

.bg-dark {
    background-color: #1A1A3A !important;
}

/*------------------------------------*/
/* #TEXT-ALIGN */
/*------------------------------------*/
.ta-left {
    text-align: left;
}

.ta-right {
    text-align: right;
}

.text-center {
    text-align: center;
}

/*------------------------------------*/
/* #POSITION */
/*------------------------------------*/
.p-relative {
    position: relative;
}

.p-absolute {
    position: absolute;
}

.p-fixed {
    position: fixed;
}

.p-sticky {
    position: sticky;
}

.top-0 {
    top: 0;
}

.left-0 {
    left: 0;
}

.right-0 {
    right: 0;
}

.bottom-0 {
    bottom: 0;
}

.bottom-16 {
    bottom: 16px;
}

.middle-y {
    top: 50%;
    transform: translateY(-50%);
}

.middle-x {
    left: 50%;
    transform: translateX(-50%);
}

/*------------------------------------*/
/* #BORDER */
/*------------------------------------*/
.border-0 {
    border: 0;
}

.border-1 {
    border: 1px;
}

.border-2 {
    border: 2px;
}

.border-3 {
    border: 3px;
}

/*------------------------------------*/
/* #OVERLAY*/
/*------------------------------------*/
.overlay::after,
.overlay-white::after {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

}

.overlay::after {
    background-color: black;
    opacity: .3;
}

/*------------------------------------*/
/* #ROW-COLUMN */
/*------------------------------------*/
.row {
    display: flex;
    flex-wrap: wrap;
    margin: 0px calc(-1 * var(--gutter));
}

.clm {
    flex: 1 0 auto;
    padding: 0px var(--gutter);
}

[style*="--w-xs"] {
    width: calc(100%/12 * var(--w-xs));
    max-width: calc(100%/12 * var(--w-xs));
}

/*  */
.white-space-nowrap {
    white-space: nowrap;
}

.overflow-x-auto {
    overflow-x: auto;
}

@media (min-width: 375px) {
    [style*="--w-sxm"] {
        width: calc((100%/12) * var(--w-sxm));
        max-width: calc((100%/12) * var(--w-sxm));
    }
}

@media (min-width: 576px) {
    [style*="--w-sm"] {
        width: calc((100%/12) * var(--w-sm));
        max-width: calc((100%/12) * var(--w-sm));
    }
}

@media (min-width: 768px) {
    [style*="--w-md"] {
        width: calc((100%/12) * var(--w-md));
        max-width: calc((100%/12) * var(--w-md));
    }
}

@media (min-width: 992px) {
    [style*="--w-lg"] {
        width: calc((100%/12) * var(--w-lg));
        max-width: calc((100%/12) * var(--w-lg));
    }
}

@media (min-width: 1200px) {
    [style*="--w-xl"] {
        width: calc((100%/12) * var(--w-xl));
        max-width: calc((100%/12) * var(--w-xl));
    }

    .col-xl-2dot4 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 20%;
        flex: 0 0 20%;
        max-width: 20%;
    }
}

@media (min-width: 1500px) {
    [style*="--w-xxl"] {
        width: calc((100%/12) * var(--w-xxl));
        max-width: calc((100%/12) * var(--w-xxl));
    }

    .col-xl-2dot4 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 20%;
        flex: 0 0 20%;
        max-width: 20%;
    }
}

/*------------------------------------*/
/* #GRID */
/*------------------------------------*/
[style*="--gap-xs"] {
    gap: var(--gap-xs);
}

[style*="--gc-xs"] {
    grid-column: var(--gc-xs);
}

[style*="--gr-xs"] {
    grid-row: var(--gr-xs);
}

[style*="--gtc-xs"] {
    grid-template-columns: repeat(var(--gtc-xs), 1fr);
}

[style*="--gtr-xs"] {
    grid-template-rows: repeat(var(--gtr-xs), 1fr);
}

@media (min-width: 576px) {
    [style*="--gc-sm"] {
        grid-column: var(--gc-sm);
    }

    [style*="--gr-sm"] {
        grid-row: var(--gr-sm);
    }

    [style*="--gtc-sm"] {
        grid-template-columns: repeat(var(--gtc-sm), 1fr);
    }

    [style*="--gtr-sm"] {
        grid-template-rows: repeat(var(--gtr-sm), 1fr);
    }
}

@media (min-width: 768px) {
    [style*="--gap-md"] {
        gap: var(--gap-md);
    }

    [style*="--gc-md"] {
        grid-column: var(--gc-md);
    }

    [style*="--gr-md"] {
        grid-row: var(--gr-md);
    }

    [style*="--gtc-md"] {
        grid-template-columns: repeat(var(--gtc-md), 1fr);
    }

    [style*="--gtr-md"] {
        grid-template-rows: repeat(var(--gtr-md), 1fr);
    }
}

@media (min-width: 992px) {
    [style*="--gap-lg"] {
        gap: var(--gap-lg);
    }

    [style*="--gc-lg"] {
        grid-column: var(--gc-lg);
    }

    [style*="--gr-lg"] {
        grid-row: var(--gr-lg);
    }

    [style*="--gtc-lg"] {
        grid-template-columns: repeat(var(--gtc-lg), 1fr);
    }

    [style*="--gtr-lg"] {
        grid-template-rows: repeat(var(--gtr-lg), 1fr);
    }
}

@media (min-width: 1200px) {
    [style*="--gap-xl"] {
        gap: var(--gap-xl);
    }

    [style*="--gc-xl"] {
        grid-column: var(--gc-xl);
    }

    [style*="--gr-xl"] {
        grid-row: var(--gr-xl);
    }

    [style*="--gtc-xl"] {
        grid-template-columns: repeat(var(--gtc-xl), 1fr);
    }

    [style*="--gtr-xl"] {
        grid-template-rows: repeat(var(--gtr-xl), 1fr);
    }
}

@media (min-width: 1400px) {
    [style*="--gc-xxl"] {
        grid-column: var(--gc-xxl);
    }

    [style*="--gr-xxl"] {
        grid-row: var(--gr-xxl);
    }

    [style*="--gtc-xxl"] {
        grid-template-columns: repeat(var(--gtc-xxl), 1fr);
    }

    [style*="--gtr-xxl"] {
        grid-template-rows: repeat(var(--gtr-xxl), 1fr);
    }
}


/* hidden */
.hidden {
    display: none !important;
}

.hidden-xs {
    display: none !important;
}

@media (min-width: 576px) {
    .hidden-sm {
        display: none !important;
    }
}

@media (min-width: 768px) {
    .hidden-md {
        display: none !important;
    }
}

@media (min-width: 992px) {
    .hidden-lg {
        display: none !important;
    }
}

@media (min-width: 1023px) {
    .hidden-tb {
        display: none !important;
    }
}

@media (min-width: 1200px) {
    .hidden-xl {
        display: none !important;
    }
}

@media (min-width: 1500px) {
    .hidden-xxl {
        display: none !important;
    }
}

@media (max-width: 576px) {
    .hidden-max-sm {
        display: none !important;
    }
}

@media (max-width: 768px) {
    .hidden-max-md {
        display: none !important;
    }


}

@media (max-width: 992px) {
    .ctnr-fluid {
        width: 100%;
    }

    .hidden-max-lg {
        display: none !important;
    }
}

@media (max-width: 1023px) {
    .hidden-max-tb {
        display: none !important;
    }
}

@media (max-width: 1200px) {
    .hidden-max-xl {
        display: none !important;
    }
}

@media (max-width: 1500px) {
    .hidden-max-xxl {
        display: none !important;
    }
}

.swal2-popup {
    width: 300px !important;
    padding: 1rem !important;
    font-size: 14px !important;
}

.swal2-title {
    font-size: 16px !important;
}

.swal2-html-container {
    font-size: 13px !important;
}

.slick-arrow {
    opacity: 0;
    width: 35px;
    height: 35px;
    border-radius: 10px;
    background: var(--color-4);
    z-index: 2;
    top: 50%;
    transform: translateY(-50%);
    margin-top: 0;

    &:hover {
        color: var(--color-3);
    }
}

.slick-arrow svg {
    width: 10px;
}

.slick-arrow svg path {
    fill: #FFF;
}

.slick-next {
    right: 5px;
}

.slick-prev {
    left: 5px;
}

.slick-has-nav:hover .slick-arrow {
    opacity: 1;
}

@media (max-width: 768px) {
    :root {
        --container-gutter: 10px;
        --gutter: 10px;
    }
}

@media (max-width: 1440) {
    :root {
        --container: 1240px;
    }
}

.jq-ry-container[readonly="readonly"] {
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

.no-data {
    margin: 15px 0;
}

/* Ẩn hình dạng gốc của SVG */
.jq-ry-group svg polygon {
    display: none;
}

/* Áp hình SVG mới cho mỗi SVG */
.jq-ry-group svg {
    width: 17px !important;
    height: 17px !important;
    background-size: contain;
    background-repeat: no-repeat;

    /* Thay SVG của bạn ở đây */
    -webkit-mask: url('../images/star-yellow.svg') no-repeat center;
    mask: url('../images/star-yellow.svg') no-repeat center;

    background-color: gray;
    /* sao rỗng */
}

/* Sao đã đánh giá */
.jq-ry-rated-group svg {
    background-color: #ffcc00;
    /* màu vàng */
}

/* .jq-ry-container > .jq-ry-group-wrapper > .jq-ry-group.jq-ry-rated-group {
	z-index: 1 !important;
} */

.toastr span {
    font-size: 18px !important;
}

.toastr {
    padding: 10px 20px !important;
}

.lazy-img {
    /* background: #fff; */
    transition: opacity .3s ease;
    /* opacity: 0; */
}

.lazy-img.loaded {
    opacity: 1;
}

#hero-lcp {
    transition: opacity .3s ease;
    position: absolute;
    inset: 0;
    z-index: 1;
}

#hero-lcp.hide {
    opacity: 0;
    pointer-events: none;
}

img.mobile-banner {
    display: none;
    border-radius: 10px;
}

@media (max-width: 768px) {
    img.pc-banner {
        display: none;
    }

    img.mobile-banner {
        display: block;
    }
}

.cart-notification {
    background: white;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 10px;
    padding: 12px;
    width: 300px;
    display: flex;
    gap: 10px;
    margin-top: 10px;
    border-radius: 6px;
    animation: 0.3s ease 0s 1 normal none running fadein;
    position: relative;
}

.cart-notification img {
    width: 60px;
    height: 60px;
    object-fit: cover;
    border-radius: 4px;
}

.cart-notification .info {
    flex: 1 1 0%;
}

.cart-notification .info .name {
    font-weight: bold;
    margin-bottom: 4px;
}

.cart-notification .info .price {
    color: #F00;
}

.cart-notification .info .old-price {
    text-decoration: line-through;
    color: #666;
    font-size: 0.9em;
}

.cart-notification .view-cart-btn {
    display: inline-block;
    margin-top: 6px;
    padding: 4px 8px;
    background: var(--color-3);
    color: #fff;
    text-decoration: none;
    border-radius: 4px;
    font-size: 0.85em;
}

.cart-notification.fade-out {
    animation: 0.5s ease 0s 1 normal forwards running fadeout;
}

@keyframes fadein {
    0% {
        opacity: 0;
        transform: translateY(-20px);
    }

    100% {
        opacity: 1;
        transform: translateY(0px);
    }
}

@keyframes fadeout {
    0% {
        opacity: 1;
        transform: translateY(0px);
    }

    100% {
        opacity: 0;
        transform: translateY(-20px);
    }
}

.hover-effect {
    position: relative;
    overflow: hidden;
    display: flex;
}

.hover-effect::after {
    position: absolute;
    width: 200%;
    height: 0;
    left: 50%;
    top: 50%;
    background-color: hsla(0, 0%, 100%, 0.3);
    transform: translate(-50%, -50%) rotate(-45deg);
    content: "";
    z-index: 1;
}

.hover-effect:hover::after {
    height: 250%;
    transition: all 0.6s linear;
    background-color: transparent;
}

.text-m {
    display: none;
}

@media (max-width: 768px) {
    .text-m {
        display: block;
    }

    .text-pc {
        display: none;
    }
}

/*------------------------------------*/
/* #SPACING UTILITIES */
/*------------------------------------*/
.mt-0 {
    margin-top: 0;
}

.mt-1 {
    margin-top: 4px;
}

.mt-2 {
    margin-top: 8px;
}

.mt-3 {
    margin-top: 12px;
}

.m-1 {
    margin: 4px !important;
}

.m-2 {
    margin: 8px !important;
}

.m-3 {
    margin: 12px !important;
}

.m-4 {
    margin: 16px !important;
}

.m-5 {
    margin: 20px !important;
}

.m-10 {
    margin: 40px !important;
}


.mt-4 {
    margin-top: 16px;
}

.mt-5 {
    margin-top: 20px;
}

.mt-10 {
    margin-top: 40px;
}

.mt-15 {
    margin-top: 60px;
}

.mt-20 {
    margin-top: 80px;
}

.mb-0 {
    margin-bottom: 0;
}

.mb-1 {
    margin-bottom: 4px;
}

.mb-2 {
    margin-bottom: 8px;
}

.mb-3 {
    margin-bottom: 12px;
}

.mb-4 {
    margin-bottom: 16px;
}

.mb-5 {
    margin-bottom: 20px;
}

.mb-10 {
    margin-bottom: 40px;
}

.mb-15 {
    margin-bottom: 60px;
}

.mb-20 {
    margin-bottom: 80px;
}

.pt-0 {
    padding-top: 0;
}

.pt-5 {
    padding-top: 20px;
}

.pt-10 {
    padding-top: 40px;
}

.pt-15 {
    padding-top: 60px;
}

.pt-20 {
    padding-top: 80px;
}

.pb-0 {
    padding-bottom: 0;
}

.pb-5 {
    padding-bottom: 20px;
}

.pb-10 {
    padding-bottom: 40px;
}

.pb-15 {
    padding-bottom: 60px;
}

.pb-20 {
    padding-bottom: 80px;
}

.py-5 {
    padding-top: 20px;
    padding-bottom: 20px;
}

.py-10 {
    padding-top: 40px;
    padding-bottom: 40px;
}

.py-15 {
    padding-top: 60px;
    padding-bottom: 60px;
}

.py-20 {
    padding-top: 80px;
    padding-bottom: 80px;
}

@media screen and (max-width: 768px) {
    .py-20 {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .py-15 {
        padding-top: 40px;
        padding-bottom: 40px;
    }
}

.p-1 {
    padding: 4px;
}

.p-2 {
    padding: 8px;
}

.p-3 {
    padding: 12px;
}

.p-4 {
    padding: 16px;
}

.p-5 {
    padding: 20px;
}

.p-6 {
    padding: 24px !important;
}

.p-10 {
    padding: 40px;
}

.px-1 {
    padding-left: 4px !important;
    padding-right: 4px !important;
}

.px-2 {
    padding-left: 8px !important;
    padding-right: 8px !important;
}

.px-3 {
    padding-left: 12px !important;
    padding-right: 12px !important;
}

.px-4 {
    padding-left: 16px !important;
    padding-right: 16px !important;
}

.px-5 {
    padding-left: 20px !important;
    padding-right: 20px !important;
}

.px-6 {
    padding-left: 24px !important;
    padding-right: 24px !important;
}

.px-10 {
    padding-left: 40px !important;
    padding-right: 40px !important;
}

.p-15 {
    padding: 60px;
}

.p-20 {
    padding: 80px;
}


.gap-10 {
    gap: 10px;
}

.gap-20 {
    gap: 20px;
}

.gap-30 {
    gap: 30px;
}

/*------------------------------------*/
/* #FONT-SIZE UTILITIES */
/*------------------------------------*/
.fs-12 {
    font-size: 12px
}

.fs-13 {
    font-size: 13px
}

.fs-14 {
    font-size: 14px
}

.fs-16 {
    font-size: 16px
}

.fs-18 {
    font-size: 18px
}

.fs-20 {
    font-size: 20px
}

.fs-24 {
    font-size: 24px
}

.fs-28 {
    font-size: 28px
}

.fs-32 {
    font-size: 32px
}

.lh-1-2 {
    line-height: 1.2
}

.lh-1-4 {
    line-height: 1.4
}

.lh-1-6 {
    line-height: 1.6
}
